
%%
% GRID_results.mat contains the IPERF and the RGF files measured in a 0.8m
% by 0.8m grid. The data is (side, side, angle, iteration) where the last
% iteration is being chosen of selecting the higher iperf rate.
load('GRIDmeasurements.mat')
titles = {'(a)', '(b)' , '(c)', '(d)', '(e)', '(f)' , '(g)', '(h)'};

%% Plot the iperf

[arrows_x arrows_y] = size(squeeze(Received_rate(:,:,2,2)));
Matrix_quiver = ones(arrows_x, arrows_y);

%% Dock on top
first_comp = [ 0 -0.5 -1*0.2  -0.5 0 0.5 1*0.2 0.5];
second_comp = -1*[ -1*0.2 -0.5 0  0.5  1*0.2 0.5 0 -0.5 ];

%%
wide = (1:13)-7;
len = 1:9;

positions = [...
    0.04 0.05+0.5 0.18 0.42; ...
    0.04+0.22 0.05+0.5 0.18 0.42; ...
    0.04+0.22*2 0.05+0.5 0.18 0.42; ...
    0.04+0.22*3 0.05+0.5 0.18 0.42; ...
    0.04 0.06 0.18 0.42; ...
    0.04+0.22 0.06 0.18 0.42; ...
    0.04+0.22*2 0.06 0.18 0.42; ...
    0.04+0.22*3 0.06 0.18 0.42; ...
    ];

for i = 1:8
    fig = figure(2)
    %     set(fig,'Position',[2403 360  705 251])
    set(fig,'Position',[2403 360  1000 420])
    sph = subplot(2,4,i);
    ps(i,:) = get(sph, 'position');
    set(sph,'position',positions(i,:))
    
    contourf(wide*0.8, len*0.8, squeeze(Received_rate(:,end:-1:1,i,end)'),'linecolor','none');
    axis equal
    hold on
    switch i
        case 1
            quiver( wide(1:end-0)*0.8, len(1:end-1)*0.8,  first_comp(i).*Matrix_quiver(1:end-0,2:end-0)', second_comp(i).*Matrix_quiver(1:end-0,2:end-0)', 'AutoScaleFactor',0.6,'LineWidth',0.8,'MaxHeadSize', 0.4)
        case 2
            quiver( wide(2:end-0)*0.8, len(1:end-1)*0.8,  first_comp(i).*Matrix_quiver(2:end-0,2:end-0)', second_comp(i).*Matrix_quiver(2:end-0,2:end-0)', 'AutoScaleFactor',0.6,'LineWidth',0.8,'MaxHeadSize', 0.4)
        case 3
            quiver( wide(2:end-0)*0.8, len(1:end-0)*0.8,  first_comp(i).*Matrix_quiver(2:end-0,1:end-0)', second_comp(i).*Matrix_quiver(2:end-0,1:end-0)', 'AutoScaleFactor',0.6,'LineWidth',0.8,'MaxHeadSize', 0.4)
        case 4
            quiver( wide(2:end-0)*0.8, len(2:end-0)*0.8,  first_comp(i).*Matrix_quiver(2:end-0,2:end-0)', second_comp(i).*Matrix_quiver(2:end-0,2:end-0)', 'AutoScaleFactor',0.6,'LineWidth',0.8,'MaxHeadSize', 0.4)
        case 5
            quiver( wide(1:end-0)*0.8, len(2:end-0)*0.8,  first_comp(i).*Matrix_quiver(1:end-0,1:end-1)', second_comp(i).*Matrix_quiver(1:end-0,1:end-1)', 'AutoScaleFactor',0.6,'LineWidth',0.8,'MaxHeadSize', 0.4)
        case 6
            quiver( wide(1:end-1)*0.8, len(2:end-0)*0.8,  first_comp(i).*Matrix_quiver(1:end-1,1:end-1)', second_comp(i).*Matrix_quiver(1:end-1,1:end-1)', 'AutoScaleFactor',0.6,'LineWidth',0.8,'MaxHeadSize', 0.4)
        case 7
            quiver( wide(1:end-1)*0.8, len(1:end-0)*0.8,  first_comp(i).*Matrix_quiver(1:end-1,1:end-0)', second_comp(i).*Matrix_quiver(1:end-1,1:end-0)', 'AutoScaleFactor',0.6,'LineWidth',0.8,'MaxHeadSize', 0.4)
        case 8
            quiver( wide(1:end-1)*0.8, len(1:end-1)*0.8,  first_comp(i).*Matrix_quiver(1:end-1,1:end-1)', second_comp(i).*Matrix_quiver(1:end-1,1:end-1)', 'AutoScaleFactor',0.6,'LineWidth',0.8,'MaxHeadSize', 0.4)
    end
    
    %%
    
    shading interp
    colormap(flipud(gray))
    caxis manual
    caxis([0 1000]);
    axis equal
    hold off
    if i ==8
        cbh =   colorbar;
        set(cbh,'position',[.9 .05 .02 .9])
    end
    
    t = title(titles{i});
    set(t,'Position',t.Position-[3.5 0 0])
    
    xlabel = get(sph, 'XtickLabel');
    for i = 1:length(xlabel)
        xlabel{i} = [xlabel{i} 'm'];
    end
    
    
    ylabel = {'6m' '4m' '2m'}
    
    set(sph, 'YtickLabel', ylabel, 'XtickLabel', xlabel)
    
end

%% Register log files index:
parameters={'0, PHY RX.PHY RX STATISTICS.PHY RX STAT INA SYNC COUNTER CP, 0x88399c, 0xffffffff'...
    '1, PHY RX.PHY RX STATISTICS.PHY RX STAT INA SYNC COUNTER DP, 0x883960, 0xffffffff'...
    '2, PHY RX.PHY RX INDICATORS.PHY RX INDICATOR INA FINA COUNT, 0x883ad0, 0xffffffff'...
    '3, PHY RX.PHY RX STATISTICS.PHY RX STAT HEADER CRC OK COUNTER CP, 0x8839a4, 0xffffffff'...
    '4, PHY RX.PHY RX STATISTICS.PHY RX STAT HEADER CRC OK COUNTER SC, 0x883968, 0xffffffff'...
    '5, baseband temperature, 0x91c808, 0xffffffff'...
    '6, RF temperature, 0x91c80c, 0xffffffff'...
    '7, false alarms cntr, 0x91c890, 0xffffffff'...
    '8, nav activity usec, 0x91c88c, 0xffffffff'...
    '9, agc.omni atten off, 0x91c888, 0x3f'...
    '10, agc.direct atten on, 0x91c888, 0xfc0'...
    '11, agc.direct atten off, 0x91c888, 0x3f000'...
    '12, agc.current agc start, 0x91c888, 0xfc0000'...
    '13, dashboard phy mac flags.link lost cntr, 0x91c894, 0xffff'...
    '14, dashboard phy mac flags.active roles, 0x91c894, 0x1f0000'...
    '15, dashboard phy mac flags.selective detection en, 0x91c894, 0x200000'...
    '16, dashboard phy mac flags.selective NAV en, 0x91c894, 0x400000'...
    '17, dashboard phy mac flags.gain mode, 0x91c894, 0x800000'...
    '18, dashboard phy mac flags.direct rx active sta id, 0x91c894, 0xf000000'...
    '19, dashboard phy mac flags.direct rx out txop en, 0x91c894, 0x10000000'...
    '20, dashboard phy mac flags.active connections cntr, 0x91c894, 0x60000000'...
    '21, MCS'...
    '22 Beam A'...
    '23 Beam B'...
    '24 Beam C'...
    '25 Beam D'...
    };